Bug 2099661 - Please build python-astroid for EPEL9
Summary: Please build python-astroid for EPEL9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-astroid
Version: epel9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 2100082 2115523 (view as bug list)
Depends On: 2099684
Blocks: 2049837 2099819
TreeView+ depends on / blocked
 
Reported: 2022-06-21 12:56 UTC by adam winberg
Modified: 2022-08-24 20:40 UTC (History)
4 users (show)

Fixed In Version: python-astroid-2.11.6-2.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-24 20:40:30 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Pagure releng/fedora-scm-requests issue 45198 0 None None None 2022-06-23 03:44:31 UTC

Description adam winberg 2022-06-21 12:56:26 UTC
Please build python-astroid for EPEL9

Comment 1 Orion Poplawski 2022-06-23 03:44:32 UTC
DEBUG util.py:443:  No matching package to install: 'python3-typed_ast >= 1.3.0'

Comment 2 Gwyn Ciesla 2022-08-01 13:26:45 UTC
E   ModuleNotFoundError: No module named 'typing_extensions'

Comment 3 Orion Poplawski 2022-08-05 02:08:18 UTC
*** Bug 2115523 has been marked as a duplicate of this bug. ***

Comment 4 Orion Poplawski 2022-08-05 02:08:39 UTC
*** Bug 2100082 has been marked as a duplicate of this bug. ***

Comment 5 Orion Poplawski 2022-08-05 02:24:10 UTC
I have a PR to update rawhide to pyproject macros here: https://src.fedoraproject.org/rpms/python-astroid/pull-request/4

Still have issues with relaxed deps on EPEL9:

Executing(%generate_buildrequires): /bin/sh -e /var/tmp/rpm-tmp.mum5to
+ umask 022
+ cd /builddir/build/BUILD
+ cd astroid-2.12.1
+ echo pyproject-rpm-macros
+ echo python3-devel
+ echo 'python3dist(pip) >= 19'
+ echo 'python3dist(packaging)'
+ '[' -f pyproject.toml ']'
+ echo 'python3dist(toml)'
+ rm -rfv UNKNOWN.dist-info/
removed 'UNKNOWN.dist-info/top_level.txt'
removed 'UNKNOWN.dist-info/CONTRIBUTORS.txt'
removed 'UNKNOWN.dist-info/METADATA'
removed 'UNKNOWN.dist-info/LICENSE'
removed directory 'UNKNOWN.dist-info/'
+ '[' -f /usr/bin/python3 ']'
+ RPM_TOXENV=py39
+ HOSTNAME=rpmbuild
+ /usr/bin/python3 -s /usr/lib/rpm/redhat/pyproject_buildrequires.py --generate-extras --python3_pkgversion 3
Handling setuptools from build-system.requires
Requirement satisfied: setuptools
   (installed: setuptools 53.0.0)
Handling wheel from build-system.requires
Requirement satisfied: wheel
   (installed: wheel 0.36.2)
HOOK STDOUT: running egg_info
HOOK STDOUT: creating UNKNOWN.egg-info
HOOK STDOUT: writing UNKNOWN.egg-info/PKG-INFO
HOOK STDOUT: writing dependency_links to UNKNOWN.egg-info/dependency_links.txt
HOOK STDOUT: writing top-level names to UNKNOWN.egg-info/top_level.txt
HOOK STDOUT: writing manifest file 'UNKNOWN.egg-info/SOURCES.txt'
HOOK STDOUT: reading manifest file 'UNKNOWN.egg-info/SOURCES.txt'
HOOK STDOUT: reading manifest template 'MANIFEST.in'
HOOK STDOUT: adding license file 'LICENSE'
HOOK STDOUT: adding license file 'CONTRIBUTORS.txt'
HOOK STDOUT: writing manifest file 'UNKNOWN.egg-info/SOURCES.txt'
Handling wheel from get_requires_for_build_wheel
Requirement satisfied: wheel
   (installed: wheel 0.36.2)
HOOK STDOUT: running dist_info
HOOK STDOUT: writing UNKNOWN.egg-info/PKG-INFO
HOOK STDOUT: writing dependency_links to UNKNOWN.egg-info/dependency_links.txt
HOOK STDOUT: writing top-level names to UNKNOWN.egg-info/top_level.txt
HOOK STDOUT: reading manifest file 'UNKNOWN.egg-info/SOURCES.txt'
HOOK STDOUT: reading manifest template 'MANIFEST.in'
HOOK STDOUT: adding license file 'LICENSE'
HOOK STDOUT: adding license file 'CONTRIBUTORS.txt'
HOOK STDOUT: writing manifest file 'UNKNOWN.egg-info/SOURCES.txt'
HOOK STDOUT: creating '/builddir/build/BUILD/astroid-2.12.1/UNKNOWN.dist-info'
HOOK STDOUT: adding license file "CONTRIBUTORS.txt" (matched pattern "CONTRIBUTORS.txt")
HOOK STDOUT: adding license file "LICENSE" (matched pattern "LICENSE")


I don't know where the "UNKNOWN" is coming from.  Perhaps it really does need a newer setuptools or wheel?

Comment 6 Fedora Update System 2022-08-15 01:26:50 UTC
FEDORA-EPEL-2022-99c1870939 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-99c1870939

Comment 7 Fedora Update System 2022-08-16 01:44:05 UTC
FEDORA-EPEL-2022-99c1870939 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-99c1870939

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-08-24 20:40:30 UTC
FEDORA-EPEL-2022-99c1870939 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.